Update a List of Users

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
PUT /profiles/{profile_id}/users

Path parameters

  • profile_id string Required

    id of the profile

Query parameters

  • fields string

    extra information of each user on the list

  • limit number

    maximum count of the user list

  • offset number

    skip that many users before beginning to return

application/json

Body

  • can_form_edit boolean
  • can_thunderplug_sync boolean
  • email string
  • first_name string
  • id number
  • is_locked boolean

    Can only unlock by using false

  • last_name string
  • password string
  • role string

    must match "server", "company" or "basic"

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      the updated user id

PUT /profiles/{profile_id}/users
curl \
 --request PUT 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/users' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"can_form_edit":true,"can_thunderplug_sync":true,"email":"support@iformbuilder.com","first_name":"Calvin","id":161239,"is_locked":true,"last_name":"Ng","password":"testing123","role":"server"}'
Request examples
{
  "can_form_edit": true,
  "can_thunderplug_sync": true,
  "email": "support@iformbuilder.com",
  "first_name": "Calvin",
  "id": 161239,
  "is_locked": true,
  "last_name": "Ng",
  "password": "testing123",
  "role": "server"
}
Response examples (200)
[
  {
    "id": 161239
  },
  {
    "id": 161242
  }
]